org.opencv.xphoto

## Class TonemapDurand

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.Tonemap
    - - org.opencv.xphoto.TonemapDurand

-     public class TonemapDurand
      extends Tonemap

  This algorithm decomposes image into two layers: base layer and detail layer using bilateral filter and compresses contrast of the base layer thus preserving all the details. This implementation uses regular bilateral filter from OpenCV. Saturation enhancement is possible as in cv::TonemapDrago. For more information see CITE: DD02 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TonemapDurand(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TonemapDurand` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getContrast()`
    `float` | `getSaturation()`
    `float` | `getSigmaColor()`
    `float` | `getSigmaSpace()`
    `void` | `setContrast(float contrast)`
    `void` | `setSaturation(float saturation)`
    `void` | `setSigmaColor(float sigma_color)`
    `void` | `setSigmaSpace(float sigma_space)`

    - ### Methods inherited from class org.opencv.photo.Tonemap

      `getGamma, process, setGamma`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TonemapDurand

          protected TonemapDurand(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TonemapDurand __fromPtr__(long addr)

    - #### getContrast

          public float getContrast()

    - #### getSaturation

          public float getSaturation()

    - #### getSigmaColor

          public float getSigmaColor()

    - #### getSigmaSpace

          public float getSigmaSpace()

    - #### setContrast

          public void setContrast(float contrast)

    - #### setSaturation

          public void setSaturation(float saturation)

    - #### setSigmaColor

          public void setSigmaColor(float sigma_color)

    - #### setSigmaSpace

          public void setSigmaSpace(float sigma_space)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Tonemap`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7